Description

Supportanfrage

mich würde interessieren, wie die weitere Planung bzw. der Status von ADTF3 für ARMv8 aussieht.

Im Download-Archiv habe ich gesehen, dass es ADTF 3.2.0 und ADTF 3.3.1 als Version für ARMv8 gibt. Bei der aktuellen

ADTF-Version findet man dazu jedoch nichts mehr.

Wird dieses Thema nicht weiter verfolgt? Und wenn doch, wird es auch Portierungen von Toolboxen geben?

Hintergrund der Fragen ist, dass wir evaluieren wollen, inwieweit wir ADTF3 auf einem Nvidia Drive PX2 laufen lassen können um

Filterentwicklungen für den SiL am Rechner auch im Fahrzeug verwenden zu können.

Lösung

Wir sind dabei der ARM Lieferung einen Release Stempel zu verpassen, deshalb gibt es derzeit keine weiteren BETA Lieferungen,

wurde auch seitens Kundenforum herunterpriorisiert.

Wir hoffen bis zum Halbjahr dann immer eine ADTF Lieferung zeitgleich für ARM bereitzustellen, die dann auch mit DrivePX2 (bzw.

dem Pegasus/Xavier Nachfolger) kompatibel ist.

Was den Umfang betrifft, so wird es sich auf headless weiterhin beschränken, es wird demnach keine GUI Anteile geben.

Die SDKs für deine Entwicklung stehen aber zur Verfügung.

Lieferung von Toolboxen machen derzeit keinen Sinn bzw. sind nicht relevant, die Device Toolbox ist bsp. weise auf Vector

beschränkt (nicht vorhanden), die Display Toolbox ohne GUI sinnfrei.

Der Use Case zielt ganz klar darauf ab, es als verteiltes System zu verstehen (Fahrzeugnah), d.h. deine Algorithmen laufen auf der

ADTF Instanz auf ARM, die Visualisierung bedienst du von der ADTF Instanz des PC aus.

Was wir aber machen wollen (aber seitens Digitalwerk, nicht Kundenforum) ist die Hardware (Kamera, Bus-Controller) der nVidia

Plattform im ADTF als Streaming Services bereitzustellen, hier ist die Roadmap auch noch im Zweiten Halbjahr, wir hoffen wir

können dies halten und kümmern uns momentan um die entsprechende Hard- und Software.

History

#1 - 2019-05-02 13:33 - hidden

- Topic set to ADTF::Common

#2 - 2019-05-03 15:15 - hidden

- Status changed from New to Customer Feedback Required

Hallo Jens,

wir sind dabei der ARM Lieferung einen Release Stempel zu verpassen, deshalb gibt es derzeit keine weiteren BETA Lieferungen, wurde auch

seitens Kundenforum herunterpriorisiert.

Wir hoffen bis zum Halbjahr dann immer eine ADTF Lieferung zeitgleich für ARM bereitzustellen, die dann auch mit DrivePX2 (bzw. dem

Pegasus/Xavier Nachfolger) kompatibel ist.

Was den Umfang betrifft, so wird es sich auf headless weiterhin beschränken, es wird demnach keine GUI Anteile geben.

Die SDKs für deine Entwicklung stehen aber zur Verfügung.
Lieferung von Toolboxen machen derzeit keinen Sinn bzw. sind nicht relevant, die Device Toolbox ist bsp. weise auf Vector beschränkt (nicht

vorhanden), die Display Toolbox ohne GUI sinnfrei.

Der Use Case zielt ganz klar darauf ab, es als verteiltes System zu verstehen (Fahrzeugnah), d.h. deine Algorithmen laufen auf der ADTF Instanz auf

ARM, die Visualisierung bedienst du von der ADTF Instanz des PC aus.

Was wir aber machen wollen (aber seitens Digitalwerk, nicht Kundenforum) ist die Hardware von nVidea direkt im ADTF bereitzustellen, hier ist die

Roadmap auch noch im Zweiten Halbjahr, wir hoffen wir können dies halten und kümmern uns momentan um die entsprechende Hard- und Software.

Beantwortet das deine Fragen ?

#3 - 2019-05-07 14:47 - hidden

Hallo Florian,

vielen Dank für die Infos.

Was genau meinst du mit Punkt, dass Ihr die Hardware von Nvidia in ADTF bereitstellen wollt? Kannst du da mehr Infos geben?

Mit deinem Punkt zu den Toolboxen gebe ich dir recht. Wie sieht es aus mit der FEP-Toolbox aus? Oder muss ich mich diesbeüglich an AEV

wenden?

Viele Grüße

Jens

#4 - 2019-05-08 08:28 - hidden

Hallo Jens,

Was genau meinst du mit Punkt, dass Ihr die Hardware von Nvidia in ADTF bereitstellen wollt? Kannst du da mehr Infos geben?

 Das war etwas ungünstig formuliert, entschuldige.

Ich meine damit, dass wir sobald wir ADTF auf ARM haben die Hardware des DrivePX anbinden wollen, sprich wir wollen Komponenten (Streaming

Source/Sink) anbieten, mit denen man auf Kamera, Bus Controller etc des DrivePX zugreifen kann.

Wir liefern/verkaufen nicht die Hardware an sich, sondern die ADTF kompatible Software dazu.

Mit deinem Punkt zu den Toolboxen gebe ich dir recht. Wie sieht es aus mit der FEP-Toolbox aus? Oder muss ich mich diesbeüglich an AEV

wenden?

 Das wäre ein Thema für AEV, genau.

Aber ADTF hat auf der Roadmap ein verteiltes System zu werden, hierbei wird der FEP SDK / FEP ADTF Toolbox integriert und wäre demnach

Bestandteil, sobald verfügbar im Laufe des nächsten halben Jahres ca.

#6 - 2019-05-08 08:38 - hidden

Danke für die Rückmeldung, das beantwortet meine Fragen.

Aus meiner Sicht könnte das Ticket dann geschlossen werden.

#7 - 2019-05-08 08:47 - hidden

- Project changed from 20 to Public Support

- Subject changed from Status/Planung ADTF3 für ARMv8/AArch64 to Roadmap for ADTF 3.x on ARMv8/AArch64

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

#8 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-23 2/2

http://www.tcpdf.org

